Antlib (Apache Ant API)
Keywords: org.apache.tools.ant.taskdefs.Antlib class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs
Class Antlib

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              org.apache.tools.ant.taskdefs.Antlib

All Implemented Interfaces:
  java.lang.Cloneable, TaskContainer

    public class Antlib

extends Task
implements TaskContainer

Antlib task. It does not occur in an ant build file. It is the root element an antlib xml file.

Since:
  Ant 1.6

Field Summary
`static java.lang.String` | `TAG` The name of this task

Fields inherited from class org.apache.tools.ant.Task
`target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`description, location, project`

Constructor Summary
`Antlib()`

Method Summary
`void` | `addTask(Task nestedTask)` add a task to the list of tasks
`static Antlib` | `createAntlib(Project project, java.net.URL antlibUrl, java.lang.String uri)` Static method to read an ant lib definition from a url.
`void` | `execute()` Execute the nested tasks, setting the classloader for any tasks that derive from Definer.
`protected void` | `setClassLoader(java.lang.ClassLoader classLoader)` Set the class loader for this antlib.
`protected void` | `setURI(java.lang.String uri)` Set the URI for this antlib.

Methods inherited from class org.apache.tools.ant.Task
`bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TAG

    public static final java.lang.String TAG

  The name of this task

  See Also:
    Constant Field Values

Constructor Detail

### Antlib

    public Antlib()

Method Detail

### createAntlib

    public static Antlib createAntlib(Project project,
                                      java.net.URL antlibUrl,
                                      java.lang.String uri)

  Static method to read an ant lib definition from a url.

  Parameters:
    `project` - the current project
    `antlibUrl` - the url to read the definitions from
    `uri` - the uri that the antlib is to be placed in
  Returns:
    the ant lib task

### setClassLoader

    protected void setClassLoader(java.lang.ClassLoader classLoader)

  Set the class loader for this antlib. This class loader is used for any tasks that derive from Definer.

  Parameters:
    `classLoader` - the class loader

### setURI

    protected void setURI(java.lang.String uri)

  Set the URI for this antlib.

  Parameters:
    `uri` - the namespace uri

### addTask

    public void addTask(Task nestedTask)

  add a task to the list of tasks

  Specified by:
    `addTask` in interface `TaskContainer`
  Parameters:
    `nestedTask` - Nested task to execute in antlib

### execute

    public void execute()

  Execute the nested tasks, setting the classloader for any tasks that derive from Definer.

  Overrides:
    `execute` in class `Task`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD